body {
    font-family: sans-serif;
    margin: 0;
    color: #333;
    background-color: #f8f9fa;
    line-height: 1.6;
}

iframe {
    border: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    border-radius: 8px;
    height: 400px;
}

.container {
    max-width: 900px;
    margin: 0 auto;
    padding: 20px;
    text-align: center;
}

header {
    background: #007bff;
    color: #fff;
    padding: 20px;
}

header h1 {
    margin: 0;
    font-size: 2.5rem;
}

.download-button {
    display: inline-block;
    background-color: #ffffff;
    color: #fff;
    padding: 10px 20px 5px 20px;
    font-size: 1.1rem;
    text-decoration: none;
    border-radius: 5px;
    margin-top: 10px;
    transition: background-color 0.3s;
}

.download-button:hover {
    background-color: #e7e7e7;
}

.promo-video {
    margin-top: 20px;
}

#promoVideo {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.features {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 20px;
    margin-top: 40px;
}

.feature {
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    border-radius: 8px;
    transition: transform 0.3s;
}

.title {
    color: #007bff;
    font-size: 1.5rem;    
}

.feature:hover {
    transform: translateY(-5px);
}

.feature h3 {
    color: #007bff;
    font-size: 1.5rem;
}

footer {
    margin-top: 40px;
    padding: 20px;
    font-size: 0.9rem;
}

footer p {
    margin: 0;
}

.phone-frame {
    position: relative;
    width: 480px;
    height: 840px;
    background: url('./media/phone-frame.png') no-repeat center center;
    background-size: cover;
    margin: 0 auto;
}
.screen {
    position: absolute;
    top: 22px;
    left: 67px;
    width: 341px;
    height: 737px;
    overflow: hidden;
    border-radius: 34px;
}
iframe {
    width: 100%;
    height: 100%;
    border: none;
    background: white;
}

@media (min-width: 800px) {
    .online-demo {
        display: block;
    }
}

@media (max-width: 799px) {
    .online-demo {
        display: none;
    }
}

#currency-analysis, #stoks-analysis, #news-analysis {
    text-align: start;
}

#currency-analysis > h3, #stoks-analysis > h3, #news-analysis > h3 {
    text-align: center;
}

.topic-image {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.topic-image  > img{
    width: 100%;
    max-width: 320px;
}

/* Ticker Container */
.moex {
    padding-top: 32px;
    display: flex;
    overflow: hidden;
    white-space: nowrap;
    position: relative;
}

/* Create an inner wrapper for infinite scroll effect */
.moex-inner {
    display: flex;
    min-width: 200%; /* Ensures seamless looping */
    animation: tickerScroll 35s linear infinite;
}

/* Keyframes for infinite smooth scrolling */
@keyframes tickerScroll {
    from {
        transform: translateX(50%);
    }
    to {
        transform: translateX(-100%);
    }
}

/* Ticker Items */
.moex-stoks {
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 8px;
    margin: 8px;
    border-radius: 8px;
    transition: transform 0.3s;
}

/* Hover Effect */
.moex-stoks:hover {
    transform: scale(1.1);
    background: rgba(255, 255, 255, 0.3);
}

.stok-red {
    color: tomato;
}

.stok-green {
    color: green;
}